View Issue Details

IDProjectCategoryLast Update
0019677AI War 2[All Projects] Gameplay IssueAug 8, 2018 5:27 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severityminor 
Status closedResolutionfixed 
Product Version0.746 Disposing of the Invisible Man 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019677: Auxilary Units have very poor range and speed until matching unit type is MK4
DescriptionImages show the difference. Range and speed appear to be about a third of normal. Upgrading the relevant unit to MK4 seems to fix this, but only because it stops building Auxilary versions, and instead builds the normal, proper ones (sharing the cap, no reason to build more expensives).

Also, their tooltips for attack bonuses are outdated.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Jul 2, 2018 6:13 pm

developer  

MK1 Fighter.jpg (24,409 bytes)
MK1 Fighter.jpg (24,409 bytes)

RocketAssistedPuffin

Jul 2, 2018 6:23 pm

developer   ~0047710

Just quickly tested, Auxilaries do not show up as a different unit type on the side bar. They also interfere with Group Move by slowing everything else down to a crawl. This effectively prohibits you from using Group Move and sidebar selection together, if you have a single Auxilary unit, currently.

RocketAssistedPuffin

Jul 15, 2018 6:43 pm

developer   ~0047911

Update, thanks to Badger finding that units have a line inheriting balance data from elsewhere. It seems that auxiliary units do this as well, but the target file may not be filled out, so they seem to be defaulting to base range and speed. I'd imagine putting the same range and speed values as normal units into those files would fix this, minor as it may be.

RocketAssistedPuffin

Jul 16, 2018 9:49 am

developer   ~0047913

Last update: In KDL_Ships_FleetShips, Auxiliary units are drawing data from the OverrideBalanceData file, but specify AuxiliaryFighter, etc as target, while the targets are actually named MercenaryFighter, etc. Altering the name corrects the speed and range. However, the units will then get absurd health/damage/cost. This seems to be a multiplier from the Auxil Dock itself, now working on the updated values.

BadgerBadger

Aug 8, 2018 5:27 pm

manager   ~0048213

Auxilliaries have been removed from the game due to "Mostly being confusing to players and not doing anything useful"

Issue History

Date Modified Username Field Change
Jul 2, 2018 6:13 pm RocketAssistedPuffin New Issue
Jul 2, 2018 6:13 pm RocketAssistedPuffin File Added: MK1 Fighter.jpg
Jul 2, 2018 6:13 pm RocketAssistedPuffin File Added: Auxilary Fighter No Upgrade.jpg
Jul 2, 2018 6:23 pm RocketAssistedPuffin Note Added: 0047710
Jul 15, 2018 6:43 pm RocketAssistedPuffin Note Added: 0047911
Jul 16, 2018 9:49 am RocketAssistedPuffin Note Added: 0047913
Aug 8, 2018 5:27 pm BadgerBadger Assigned To => BadgerBadger
Aug 8, 2018 5:27 pm BadgerBadger Status new => closed
Aug 8, 2018 5:27 pm BadgerBadger Resolution open => fixed
Aug 8, 2018 5:27 pm BadgerBadger Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 8, 2018 5:27 pm BadgerBadger Note Added: 0048213